<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
  <a class="navbar-brand" href="#">Blog-Angular</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto" *ngIf="categories">
      <li class="nav-item active">
        <a class="nav-link" [routerLink]="['/']">Inicio <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item" *ngFor="let cat of categories">
        <a class="nav-link" [routerLink]="['/category',cat.id]">{{cat.name}}</a>
      </li>
    </ul>
    <ul class="navbar-nav ml-auto">
      <li class="nav-item" *ngIf="!identity">
        <a class="nav-link" [routerLink]="['/login']" >Login</a>
      </li>
      <li class="nav-item" *ngIf="!identity">
        <a class="nav-link" [routerLink]="['/registro']">Registro</a>
      </li>
      <li class="nav-item ml-3" *ngIf="identity">
          <img src="{{url + 'uploads/users/'+ identity.image}}" alt="" class="navbar_avatar" *ngIf="identity.image">
          <img src="{{url + 'uploads/users/default-user.png'}}" alt="" class="navbar_avatar" *ngIf="!identity.image">
        </li>
      <li class="nav-item dropdown" *ngIf="identity && identity.name">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
          aria-haspopup="true" aria-expanded="false">
          {{identity.name}}
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" [routerLink]="['/post/new']">Crear entrada</a>
          <a class="dropdown-item" [routerLink]="['/category/new']">Crear categoría</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" [routerLink]="['/profile',identity.sub]">Mi perfil</a>
          <a class="dropdown-item" [routerLink]="['/user-edit']">Ajustes usuario</a>
          <a class="dropdown-item" (click)="logout()" style="cursor:pointer">Cerrar sesión</a>
        </div>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0" #formSearch="ngForm" (ngSubmit)="search()">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search"
       id="searchString" name="searchString" #searchString="ngModel" [(ngModel)]="busqueda" required>
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit" [disabled]="formSearch.form.invalid">Search</button>
    </form>
  </div>
</nav>
<!-- Fin de la barra de navegación -->

<!--carga de compopnentes-->
<router-outlet></router-outlet>
